### Hierarchy

- Expression
  - UpdateExpression

## Index

### Properties

- attributeNames
- attributeValues
- statement
- type

## Properties

### attributeNames

attributeNames: object

Inherited from Expression.attributeNames

- Defined in dynamo/expression/type/expression.type.ts:4

#### Type declaration

- ##### [key: string]: string

### attributeValues

attributeValues: Attributes<any>

Inherited from Expression.attributeValues

- Defined in dynamo/expression/type/expression.type.ts:5

### statement

statement: string

Inherited from Expression.statement

- Defined in dynamo/expression/type/expression.type.ts:6

### type

type: UpdateActionKeyword

- Defined in dynamo/expression/type/update-expression.type.ts:5

Generated using TypeDoc